Skip to main content
POST
/
api
/
v1
/
social
/
room
/
set
/
create
POST /api/v1/social/room/set/create
curl --request POST \
  --url https://api.scoot.app/api/v1/social/room/set/create \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
[
  "3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
'
import requests

url = "https://api.scoot.app/api/v1/social/room/set/create"

payload = ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify(['3c90c3cc-0d44-4b50-8888-8dd25736052a'])
};

fetch('https://api.scoot.app/api/v1/social/room/set/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "groupFormerCount": 123,
  "anyoneCanStart": true,
  "allowGuestUsers": true,
  "hostAdmitted": true,
  "startingPointSocialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hostUser": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "firstName": "<string>",
    "middleName": "<string>",
    "lastName": "<string>",
    "emailAddress": "<string>",
    "emailVerified": true,
    "preload": true,
    "mobilePhone": "<string>",
    "mobilePhoneVerified": true,
    "mobilePhoneVerifiedWeb": true,
    "profileId": "<string>",
    "profileImageURI": "<string>",
    "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "profileImageBackground": "<string>",
    "timeZone": "<string>",
    "registeredDateTime": "2023-11-07T05:31:56Z",
    "active": true,
    "actedAs": true
  },
  "socials": [
    {
      "socialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "socialURI": "<string>",
      "sessionId": "<string>",
      "isOpen": true,
      "recurring": true,
      "anyoneCanStart": true,
      "isValid": true,
      "free": true,
      "allowGuestUsers": true,
      "user": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "firstName": "<string>",
        "middleName": "<string>",
        "lastName": "<string>",
        "emailAddress": "<string>",
        "emailVerified": true,
        "preload": true,
        "mobilePhone": "<string>",
        "mobilePhoneVerified": true,
        "mobilePhoneVerifiedWeb": true,
        "profileId": "<string>",
        "profileImageURI": "<string>",
        "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "profileImageBackground": "<string>",
        "timeZone": "<string>",
        "registeredDateTime": "2023-11-07T05:31:56Z",
        "active": true,
        "actedAs": true
      },
      "maxParticipants": 123,
      "startingWidth": 123,
      "startingHeight": 123,
      "hostAdmitted": true,
      "themeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "configurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "theme": {
        "socialThemeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "socialThemeName": "<string>",
        "description": "<string>",
        "colorPrimary": "<string>",
        "colorSecondary": "<string>",
        "colorBackground": "<string>",
        "colorGradientBackground": "<string>",
        "colorButtonText": "<string>",
        "colorButtonBG": "<string>",
        "imageFarURI": "<string>",
        "imageMidURI": "<string>",
        "imageNearURI": "<string>",
        "previewImageURI": "<string>",
        "minimapImageURI": "<string>",
        "imageWidth": 123,
        "imageHeight": 123,
        "templateId": "<string>",
        "defaultArtifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dateCreated": "2023-11-07T05:31:56Z",
        "multiSize": true,
        "addToMiniMap": true,
        "tiles": [
          {
            "uri": "<string>",
            "x": 123,
            "y": 123,
            "width": 123,
            "height": 123
          }
        ],
        "uploadStatus": {
          "requestStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "requestId": "<string>",
          "progress": 123,
          "failureReason": "<string>",
          "startedDateTime": "2023-11-07T05:31:56Z",
          "endedDateTime": "2023-11-07T05:31:56Z"
        }
      },
      "playlistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "artifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "startDateTime": "2023-11-07T05:31:56Z",
      "endDateTime": "2023-11-07T05:31:56Z",
      "dateCreated": "2023-11-07T05:31:56Z",
      "companyName": "<string>",
      "socialMeta": {
        "socialMetaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "numberOfInvites": 123,
        "numberOfAttendees": 123,
        "numberCurrentlyPresent": 123,
        "audioHost": "<string>",
        "audioElementURL": "<string>",
        "peerConnectionURL": "<string>"
      },
      "connectedRoom": true,
      "updatedByUser": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "firstName": "<string>",
        "middleName": "<string>",
        "lastName": "<string>",
        "emailAddress": "<string>",
        "emailVerified": true,
        "preload": true,
        "mobilePhone": "<string>",
        "mobilePhoneVerified": true,
        "mobilePhoneVerifiedWeb": true,
        "profileId": "<string>",
        "profileImageURI": "<string>",
        "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "profileImageBackground": "<string>",
        "timeZone": "<string>",
        "registeredDateTime": "2023-11-07T05:31:56Z",
        "active": true,
        "actedAs": true
      },
      "updatedDateTime": "2023-11-07T05:31:56Z",
      "alternateHosts": [
        {
          "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "firstName": "<string>",
          "middleName": "<string>",
          "lastName": "<string>",
          "emailAddress": "<string>",
          "emailVerified": true,
          "preload": true,
          "mobilePhone": "<string>",
          "mobilePhoneVerified": true,
          "mobilePhoneVerifiedWeb": true,
          "profileId": "<string>",
          "profileImageURI": "<string>",
          "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "profileImageBackground": "<string>",
          "timeZone": "<string>",
          "registeredDateTime": "2023-11-07T05:31:56Z",
          "active": true,
          "actedAs": true
        }
      ],
      "myBadgeData": [
        {
          "title": "<string>",
          "value": "<string>",
          "multiValues": [
            "<string>"
          ],
          "options": [
            "<string>"
          ],
          "description": "<string>",
          "required": true,
          "featured": true
        }
      ]
    }
  ],
  "alternateHosts": [
    {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "firstName": "<string>",
      "middleName": "<string>",
      "lastName": "<string>",
      "emailAddress": "<string>",
      "emailVerified": true,
      "preload": true,
      "mobilePhone": "<string>",
      "mobilePhoneVerified": true,
      "mobilePhoneVerifiedWeb": true,
      "profileId": "<string>",
      "profileImageURI": "<string>",
      "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "profileImageBackground": "<string>",
      "timeZone": "<string>",
      "registeredDateTime": "2023-11-07T05:31:56Z",
      "active": true,
      "actedAs": true
    }
  ]
}
Creates a new set of rooms for a Scootaverse session with specified configurations.

Authorizations

X-API-Key
string
header
required

Query Parameters

roomSetName
string
required

Body

application/json

Response

200 - application/json

OK

socialRoomSetId
string<uuid>
name
string
description
string
entryOption
enum<string>
Available options:
DEFAULT,
ACCOUNT,
CUSTOM_RULES,
STARTING_POINT
groupFormerCount
integer
anyoneCanStart
boolean
allowGuestUsers
boolean
hostAdmitted
boolean
socialPermissionType
enum<string>
Available options:
PUBLIC,
COMPANY_AND_CONNECTIONS,
CONNECTIONS,
COMPANY
startingPointSocialId
string<uuid>
hostUser
object
socials
object[]
alternateHosts
object[]